package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.util.List;

/**
 * @Author Joburgess
 * @Date 2019/9/20
 */
public class StudentManageBaseDto extends StudentManageListDto {

    @ApiModelProperty(value = "生日",required = false)
    private Date birthdate;

    @ApiModelProperty(value = "家长姓名",required = false)
    private String parentName;

    @ApiModelProperty(value = "乐团列表",required = false)
    private List<StudentManageBaseInfoOfMusicGroupDto> musicGroups;

    public List<StudentManageBaseInfoOfMusicGroupDto> getMusicGroups() {
        return musicGroups;
    }

    public void setMusicGroups(List<StudentManageBaseInfoOfMusicGroupDto> musicGroups) {
        this.musicGroups = musicGroups;
    }

    public Date getBirthdate() {
        return birthdate;
    }

    public void setBirthdate(Date birthdate) {
        this.birthdate = birthdate;
    }

    public String getParentName() {
        return parentName;
    }

    public void setParentName(String parentName) {
        this.parentName = parentName;
    }
}
